//@ts-ignore
import React, { Component } from 'react';
import { SaveAsDropdownModel, SaveAsDropdownProps, SaveAsOptions, SaveAsItem } from './types';
export declare const SUPPORTED_VIEW_TYPES: SaveAsItem[];
/**
 * Save as button control.
 *  @ignore exclude from docs
 **/
export declare class SaveAsDropdown extends Component<SaveAsDropdownProps, SaveAsDropdownModel> {
    private _mounted;
    private _unregisterViewerStateChange?;
    private _dropdown;
    private _inputFocused;
    private _localizationHash;
    constructor(props: SaveAsDropdownProps, context?: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    get viewer(): any;
    private get shortcutTip();
    get saveAsOptions(): SaveAsOptions;
    get in17n(): any;
    clearDirty(): void;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
    private _initLocalization;
}
